# TdApi.InputCredentialsApplePay

Package it.ernytech.tdlib

## Class TdApi.InputCredentialsApplePay

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputCredentials
    - - it.ernytech.tdlib.TdApi.InputCredentialsApplePay

Enclosing class:
  TdApi

    public static class TdApi.InputCredentialsApplePay
    extends TdApi.InputCredentials

Applies if a user enters new credentials using Apple Pay.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `data` JSON-encoded data with the credential identifier.

### Constructor Summary

Constructors
`InputCredentialsApplePay()` Default constructor.
`InputCredentialsApplePay​(java.lang.String data)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### data

    public java.lang.String data

JSON-encoded data with the credential identifier.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputCredentialsApplePay

    public InputCredentialsApplePay()

Default constructor.

#### InputCredentialsApplePay

    public InputCredentialsApplePay​(java.lang.String data)

Constructor for initialization of all fields.

Parameters:
  `data` - JSON-encoded data with the credential identifier.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR